using Microsoft.UI;
using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainWindow()

        /// <summary>
        /// 
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.backgroundColorRadioButtons.SelectionChanged += backgroundColorRadioButtons_SelectionChanged;
            this.borderColorRadioButtons.SelectionChanged     += borderColorRadioButtons_SelectionChanged;

            this.backgroundColorRadioButtons.SelectedIndex = 0;
            this.borderColorRadioButtons.SelectedIndex     = 1;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region   ư Ʈ   óϱ - backgroundColorRadioButtons_SelectionChanged(sender, e)

        /// <summary>
        ///   ư Ʈ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void backgroundColorRadioButtons_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if(this.border != null && sender is RadioButtons radioButtons)
            {
                string colorName = radioButtons.SelectedItem as string;

                switch(colorName)
                {
                    case "Yellow" : this.border.Background = new SolidColorBrush(Colors.Yellow); break;
                    case "Green"  : this.border.Background = new SolidColorBrush(Colors.Green ); break;
                    case "White"  : this.border.Background = new SolidColorBrush(Colors.White ); break;
                }
            }
        }

        #endregion
        #region ׵θ   ư Ʈ   óϱ - borderColorRadioButtons_SelectionChanged(sender, e)

        /// <summary>
        /// ׵θ   ư Ʈ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void borderColorRadioButtons_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if(this.border != null && sender is RadioButtons radioButtons)
            {
                string colorName = radioButtons.SelectedItem as string;

                switch(colorName)
                {
                    case "Yellow" : this.border.BorderBrush = new SolidColorBrush(Colors.Gold     ); break;
                    case "Green"  : this.border.BorderBrush = new SolidColorBrush(Colors.DarkGreen); break;
                    case "White"  : this.border.BorderBrush = new SolidColorBrush(Colors.White    ); break;
                }
            }
        }

        #endregion
    }
}